<?php


return  
    [
        'model' => [
            'model' => \Crm\Seller\Models\Seller::class,
            'table' => 'crm_seller_sellers',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['name',  'email',  'password',  'api_token',  'remember_token',  'sex',  'dob',  'designation',  'mobile',  'phone',  'address',  'district',  'state',  'country',  'photo',  'web',  'status',  'email_verified_at',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'seller/seller',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'seller::seller.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "email", 
                "type" => "text", 
                "label" => 'seller::seller.label.email', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "password", 
                "type" => "text", 
                "label" => 'seller::seller.label.password', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "api_token", 
                "type" => "text", 
                "label" => 'seller::seller.label.api_token', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "remember_token", 
                "type" => "text", 
                "label" => 'seller::seller.label.remember_token', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sex", 
                "type" => "text", 
                "label" => 'seller::seller.label.sex', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "dob", 
                "type" => "text", 
                "label" => 'seller::seller.label.dob', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "designation", 
                "type" => "text", 
                "label" => 'seller::seller.label.designation', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "mobile", 
                "type" => "text", 
                "label" => 'seller::seller.label.mobile', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "phone", 
                "type" => "text", 
                "label" => 'seller::seller.label.phone', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "address", 
                "type" => "text", 
                "label" => 'seller::seller.label.address', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "district", 
                "type" => "text", 
                "label" => 'seller::seller.label.district', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "state", 
                "type" => "text", 
                "label" => 'seller::seller.label.state', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "country", 
                "type" => "text", 
                "label" => 'seller::seller.label.country', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "photo", 
                "type" => "text", 
                "label" => 'seller::seller.label.photo', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "web", 
                "type" => "text", 
                "label" => 'seller::seller.label.web', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "email_verified_at", 
                "type" => "text", 
                "label" => 'seller::seller.label.email_verified_at', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'seller::seller.label.name',
                "placeholder" => 'seller::seller.placeholder.name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'email',
                "element" => 'text',
                "type" => 'text',
                "label" => 'seller::seller.label.email',
                "placeholder" => 'seller::seller.placeholder.email',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'password',
                "element" => 'text',
                "type" => 'text',
                "label" => 'seller::seller.label.password',
                "placeholder" => 'seller::seller.placeholder.password',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'api_token',
                "element" => 'text',
                "type" => 'text',
                "label" => 'seller::seller.label.api_token',
                "placeholder" => 'seller::seller.placeholder.api_token',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'remember_token',
                "element" => 'text',
                "type" => 'text',
                "label" => 'seller::seller.label.remember_token',
                "placeholder" => 'seller::seller.placeholder.remember_token',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sex',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'seller::seller.label.sex',
                "placeholder" => 'seller::seller.placeholder.sex',
                "rules" => '',
                "options" => function(){
                    return trans('seller::seller.options.sex');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'dob',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'seller::seller.label.dob',
                "placeholder" => 'seller::seller.placeholder.dob',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'designation',
                "element" => 'text',
                "type" => 'text',
                "label" => 'seller::seller.label.designation',
                "placeholder" => 'seller::seller.placeholder.designation',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'mobile',
                "element" => 'text',
                "type" => 'text',
                "label" => 'seller::seller.label.mobile',
                "placeholder" => 'seller::seller.placeholder.mobile',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'phone',
                "element" => 'text',
                "type" => 'text',
                "label" => 'seller::seller.label.phone',
                "placeholder" => 'seller::seller.placeholder.phone',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'address',
                "element" => 'text',
                "type" => 'text',
                "label" => 'seller::seller.label.address',
                "placeholder" => 'seller::seller.placeholder.address',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'district',
                "element" => 'text',
                "type" => 'text',
                "label" => 'seller::seller.label.district',
                "placeholder" => 'seller::seller.placeholder.district',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'state',
                "element" => 'text',
                "type" => 'text',
                "label" => 'seller::seller.label.state',
                "placeholder" => 'seller::seller.placeholder.state',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'country',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'seller::seller.label.country',
                "placeholder" => 'seller::seller.placeholder.country',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'photo',
                "element" => 'text',
                "type" => 'text',
                "label" => 'seller::seller.label.photo',
                "placeholder" => 'seller::seller.placeholder.photo',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'web',
                "element" => 'text',
                "type" => 'text',
                "label" => 'seller::seller.label.web',
                "placeholder" => 'seller::seller.placeholder.web',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'email_verified_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'seller::seller.label.email_verified_at',
                "placeholder" => 'seller::seller.placeholder.email_verified_at',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'seller/seller/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'seller/seller/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'seller/seller',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'seller/seller',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'seller/seller',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'seller/seller',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'seller::seller.label.created_at',
            'name' => 'seller::seller.label.name',
            'status' => 'seller::seller.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "seller::seller.groups.main",
                'group' => "main.main",
                'title' => "seller::seller.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "seller::seller.groups.details",
                'group' => "main.details",
                'title' => "seller::seller.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "seller::seller.groups.images",
                'group' => "main.images",
                'title' => "seller::seller.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "seller::seller.groups.settings",
                'group' => "main.settings",
                'title' => "seller::seller.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Crm',
            'package' => 'Seller',
            'module' => 'Seller',
        ],

        
        
    ];
