<?php

namespace Crm\Seller\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class SellerTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('crm_seller_sellers')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'crm.seller.seller.view',
                'name'      => 'View Seller',
            ],
            [
                'slug'      => 'crm.seller.seller.create',
                'name'      => 'Create Seller',
            ],
            [
                'slug'      => 'crm.seller.seller.edit',
                'name'      => 'Update Seller',
            ],
            [
                'slug'      => 'crm.seller.seller.delete',
                'name'      => 'Delete Seller',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/seller/seller',
                'name'        => 'Seller',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/seller/seller',
                'name'        => 'Seller',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'seller',
                'name'        => 'Seller',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Seller',
                'module'    => 'Seller',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'crm.seller.seller.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
